Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCFile.h File Reference

`#include <iostream>`
`#include <fstream>`
`#include <string>`
`#include <vector>`
`#include "ExDefine.h"`

Go to the source code of this file.

## Namespaces
namespace | std
## Data Structures
class | ExCFile
class | ExCFileData
class | ExCFileDataAction
class | ExCFileReader
class | ExCFileWriter
## Defines
#define | FILE_EMPTY 0
#define | FILE_CONSOLE 1
#define | FILE_COMMAND 2
#define | FILE_SET 3
#define | FILE_INTERFACE 4
#define | FILE_PARTICULE 5
#define | FILE_BATCH 6
#define | FILEUNKNOWN 7
## Enumerations
enum | { RO, WO, WOA, RW, RWA }

## Define Documentation

#define FILE_BATCH 6

| Definition at line 41 of file ExCFile.h. Referenced by ExCFileReader::getContent(), and ExCFileWriter::setContent().

#define FILE_COMMAND 2

| Definition at line 37 of file ExCFile.h. Referenced by ExCFileReader::getContent(), ExManagerCommand::LoadCommandFile(), and ExCFileWriter::setContent().

#define FILE_CONSOLE 1

| Definition at line 36 of file ExCFile.h. Referenced by ExCFileReader::getContent(), and ExCFileWriter::setContent().

#define FILE_EMPTY 0

| Definition at line 35 of file ExCFile.h. Referenced by ExCFileData::ExCFileData(), and ExCFileReader::getContent().

#define FILE_INTERFACE 4

| Definition at line 39 of file ExCFile.h. Referenced by ExCFileReader::getContent(), and ExCFileWriter::setContent().

#define FILE_PARTICULE 5

| Definition at line 40 of file ExCFile.h. Referenced by ExCFileReader::getContent(), and ExCFileWriter::setContent().

#define FILE_SET 3

| Definition at line 38 of file ExCFile.h. Referenced by ExCFileReader::getContent(), and ExCFileWriter::setContent().

#define FILEUNKNOWN 7

| Definition at line 42 of file ExCFile.h. Referenced by ExCFileReader::getContent().

## Enumeration Type Documentation

anonymous enum

  | Enumeration values:
  RO |
  WO |
  WOA |
  RW |
  RWA |
Definition at line 44 of file ExCFile.h.
    00044 { RO, WO, WOA, RW, RWA };